# -*- coding: utf-8 -*-
# Generated by Django 1.11.7 on 2018-09-27 07:33
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('app', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='CompanyBilling',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('billing_type', models.SmallIntegerField(choices=[(1, 'Fixed Resource'), (2, 'Fixed cost'), (3, 'Hourly')])),
                ('cost', models.FloatField()),
                ('time', models.IntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='CompanyDetail',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('company_name', models.CharField(max_length=20)),
                ('company_code', models.CharField(max_length=30)),
                ('company_address', models.CharField(max_length=50)),
                ('contact_number', models.CharField(max_length=18)),
                ('website', models.CharField(blank=True, max_length=200, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('modify_date', models.DateTimeField(auto_now=True)),
                ('company_owner', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='owner_company', to=settings.AUTH_USER_MODEL)),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='country', to='app.Country')),
            ],
            options={
                'verbose_name': 'company detail',
                'verbose_name_plural': 'company details',
            },
        ),
        migrations.CreateModel(
            name='Domain',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('domain_name', models.CharField(max_length=30)),
                ('domain_description', models.CharField(blank=True, max_length=300, null=True)),
                ('is_active', models.BooleanField(default=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('modify_date', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'Domain',
                'verbose_name_plural': 'Domains',
            },
        ),
        migrations.CreateModel(
            name='FeatureList',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('feature_title', models.CharField(max_length=30)),
                ('feature_type', models.SmallIntegerField(choices=[(1, 'Authentication signup/signin/forget/change password'), (2, 'On Boarding'), (3, 'Profile'), (4, 'Email Notification'), (5, 'Payment'), (6, 'products and Cart System'), (7, 'admin'), (8, 'static pages'), (9, 'others')])),
                ('feature_description', models.TextField(max_length=500)),
            ],
            options={
                'verbose_name': 'Feature List',
                'verbose_name_plural': 'Feature Lists',
            },
        ),
        migrations.CreateModel(
            name='FeatureTimeCostEstimation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('application_type', models.SmallIntegerField(choices=[(1, 'Web application'), (2, 'MOBILE android/sso/native'), (3, 'WEB and Mobile'), (4, 'Admin'), (5, 'other')])),
                ('methodlogy', models.SmallIntegerField(choices=[(1, 'Agile'), (2, 'waterfall'), (3, 'others')])),
                ('cost', models.FloatField()),
                ('time', models.IntegerField()),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('modify_date', models.DateTimeField(auto_now=True)),
                ('company', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='company_detail', to='project.CompanyDetail')),
            ],
        ),
        migrations.CreateModel(
            name='Framework',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('framework_name', models.CharField(max_length=30)),
                ('is_active', models.BooleanField(default=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('modify_date', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'Framework',
                'verbose_name_plural': 'Frameworks',
            },
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('project_code', models.CharField(max_length=30)),
                ('project_title', models.CharField(max_length=30)),
                ('project_description', models.TextField(max_length=500)),
                ('is_estimated', models.BooleanField(default=False)),
                ('total_cost', models.FloatField()),
                ('total_time', models.IntegerField()),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('modify_date', models.DateTimeField(auto_now=True)),
                ('project_domain', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='project_domain', to='project.Domain')),
                ('project_framework', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='project_framework', to='project.Framework')),
                ('project_owner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='project_owner', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name': 'Project',
                'verbose_name_plural': 'Projects',
            },
        ),
        migrations.CreateModel(
            name='ProjectFeatureList',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('modify_date', models.DateTimeField(auto_now=True)),
                ('feature', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='feature_list', to='project.FeatureTimeCostEstimation')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='project_features', to='project.Project')),
            ],
            options={
                'verbose_name': 'Project Feature',
                'verbose_name_plural': 'Project Features',
            },
        ),
        migrations.CreateModel(
            name='Technology',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('technology_name', models.CharField(max_length=30)),
                ('is_active', models.BooleanField(default=True)),
                ('create_date', models.DateTimeField(auto_now_add=True)),
                ('modify_date', models.DateTimeField(auto_now=True)),
            ],
            options={
                'verbose_name': 'Technology',
                'verbose_name_plural': 'Technologies',
            },
        ),
        migrations.AddField(
            model_name='project',
            name='project_technology',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='project_technology', to='project.Technology'),
        ),
        migrations.AddField(
            model_name='framework',
            name='technolgy',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='framework_technology', to='project.Technology'),
        ),
        migrations.AddField(
            model_name='featuretimecostestimation',
            name='framework',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='framework_feature', to='project.Framework'),
        ),
        migrations.AddField(
            model_name='featuretimecostestimation',
            name='project_domain',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='domain', to='project.Domain'),
        ),
        migrations.AddField(
            model_name='featuretimecostestimation',
            name='technology',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='project_techno', to='project.Technology'),
        ),
        migrations.AddField(
            model_name='companybilling',
            name='company',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='company_billing', to='project.CompanyDetail'),
        ),
    ]
